Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut
Class FieldMatcher

    java.lang.Object
      org.jboss.aop.pointcut.MatcherHelper
          org.jboss.aop.pointcut.FieldMatcher

All Implemented Interfaces:
  PointcutExpressionParserVisitor

Direct Known Subclasses:
  FieldGetMatcher, FieldSetMatcher

public class FieldMatcher
extends MatcherHelper

Comment

Version:
  $Revision: 1.22 $
Author:
  Bill Burke

Field Summary
`protected Advisor` | `advisor`
`protected String` | `classname`
`protected javassist.CtField` | `ctField`
`protected int` | `fieldModifiers`
`protected String` | `fieldName`
`protected Field` | `refField`

Fields inherited from class org.jboss.aop.pointcut.MatcherHelper
`manager, start`

Constructor Summary
`FieldMatcher(Advisor advisor, javassist.CtField field, ASTStart start)`
`FieldMatcher(Advisor advisor, Field field, ASTStart start)`

Method Summary
`protected Boolean` | `resolvePointcut(Pointcut p)`
`Object` | `visit(ASTAll node, Object data)`
`Object` | `visit(ASTFieldExecution node, Object data)`
`Object` | `visit(ASTField node, Object data)`
`Object` | `visit(ASTHasField node, Object data)`
`Object` | `visit(ASTHas node, Object data)`

Methods inherited from class org.jboss.aop.pointcut.MatcherHelper
`matches, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### advisor

    protected Advisor advisor

### classname

    protected String classname

### fieldName

    protected String fieldName

### fieldModifiers

    protected int fieldModifiers

### ctField

    protected javassist.CtField ctField

### refField

    protected Field refField

Constructor Detail

### FieldMatcher

    public FieldMatcher(Advisor advisor,
                        javassist.CtField field,
                        ASTStart start)
                 throws javassist.NotFoundException

### FieldMatcher

    public FieldMatcher(Advisor advisor,
                        Field field,
                        ASTStart start)

Method Detail

### resolvePointcut

    protected Boolean resolvePointcut(Pointcut p)

  Specified by:
    `resolvePointcut` in class `MatcherHelper`

### visit

    public Object visit(ASTField node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTFieldExecution node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTAll node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTHasField node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTHas node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.